package com.eactive.eai.common.routing; 

import java.io.Serializable;

/** 
* 1. 기능 : Routing Rule 정보를 표현하는 Java Value Object 클래스.
* 2. 처리 개요 : Layer간 호출을 담당하는 Routing Rule 정보를 정의한다.
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see : 관련 기능을 참조
* @since   : 
*  : 
*/
public class RoutingVO implements Serializable
{ 

    private String name;                //라우팅명 [TSEAIFR02.RoutName]	- RoutingName
    private String syncRoutingPath;     //동기라우팅URI명	[TSEAIFR02.NonMotivRoutURIName]	- SynchronousRoutingURIName
    private String asynRoutingPath;     //비동기라우팅URI명	[TSEAIFR02.MotivRoutURIName]	- AsynchronousRoutingURI
    
    //migration by kscheon
    private String layerDstcd;          //레이어구분코드	[TSEAIFR02.LayerDstcd]	- LayerClassificationCode
    
    public RoutingVO() {
    }
    
    
    public RoutingVO(String name, String syncRoutingPath, String asynRoutingPath, String layerDstcd) {
        this.name = name;
        this.syncRoutingPath = syncRoutingPath;
        this.asynRoutingPath = asynRoutingPath;
        this.layerDstcd = layerDstcd;
    }
    
    
    public void setName(String name) {
        this.name = name;   
    }
    
    
    public String getName() {     
        return this.name;   
    }
    
    
    public void setSyncRoutingPath(String syncRoutingPath) {
        this.syncRoutingPath = syncRoutingPath;   
    }
    
    
    public String getSyncRoutingPath() {             
        return this.syncRoutingPath;        
    }
    
    public void setAsynRoutingPath(String asynRoutingPath) {
        this.asynRoutingPath = asynRoutingPath;   
    }
    
    public String getAsynRoutingPath() {      
        return this.asynRoutingPath;   
    }
    
    //migration by kscheon - start
    public String getLayerDstcd() {
        return this.layerDstcd;
    }
    
    public void setLayerDstcd(String layerDstcd) {
        this.layerDstcd = layerDstcd;
    }
    //migration by kscheon - end
    
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("RoutingVO[ name=").append(name);
        sb.append(", syncRoutingPath=").append(syncRoutingPath);
        sb.append(", asynRoutingPath=").append(asynRoutingPath);
        sb.append(" ]");
        
        return sb.toString();   
    }
    
} 
